## sqlite database-0.7.13

=== requirements.txt ===
LuminaDB

## sqlite 2.8.17

=== debian/changelog ===
sqlite (2.8.17-15fakesync1build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 20:04:25 +0000

sqlite (2.8.17-15fakesync1) disco-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Dec 2018 16:32:40 +0100

sqlite (2.8.17-15) unstable; urgency=medium

  * Make the package multiarch.
  * Drop incorrect hunks from lemon patch (closes: #895642).
  * Fix package installation.
  * Fix test compilation.
  * Ignore test failures for known problems.
  * Make rebuildable.
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.5 .

  [ Aurelien Jarno <aurelien@aurel32.net> ]
  * Fix FTBFS with GCC 7/8 on architectures with unsigned char
    (closes: #872535).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Aug 2018 21:19:22 +0000

sqlite (2.8.17-14) unstable; urgency=low

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS (closes: #850428):
    + Tell configure what compilers to use
    + 06-cross.patch: Fix wrong uses of AC_CHECK_FILE

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 Jan 2017 16:35:02 +0000

sqlite (2.8.17-13) unstable; urgency=low

  * Build with hardening.
  * Provide debug packages (closes: #312006).
  * Keep rebuildable.
  * Update Standards-Version to 3.9.8 .

  [ Aaron Hall <ahall@vitaphone.net> ]
  * Note in description that it's SQLite v2, not v3 (closes: #774174).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 10 Aug 2016 10:42:12 +0000

sqlite (2.8.17-12) unstable; urgency=low

  * Sync with Ubuntu.

  [ Adam Conrad <adconrad@ubuntu.com> ]
  * Update config.{sub,guess} too, autoreconf isn't enough for this
    (closes: #727510).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Aug 2014 21:32:41 +0000

sqlite (2.8.17-11) unstable; urgency=low

  * Move to Tcl 8.6 .

  [ Peter Michael Green <plugwash@debian.org> ]
  * Add code in debian/rules to make build use appropriate tclsh
    (closes: #746058).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 May 2014 12:14:25 +0000

sqlite (2.8.17-10) unstable; urgency=low

  * Update Standards-Version to 3.9.5 .

  [ Wookey <wookey@debian.org> ] 
  * Update config.{sub.guess} automatically (closes: #727510).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Jan 2014 15:07:43 +0000

sqlite (2.8.17-9) unstable; urgency=low

  * Move to short debhelper rules and 3.0 (quilt) source format
    (closes: #725539).
  * Run tests but don't fail on them.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 18 Oct 2013 12:04:56 +0000

sqlite (2.8.17-8) unstable; urgency=low

  * Refresh auto* files and move to automake 1.13 (closes: #710341, #713180).
  * Add missing headers.
  * Fix pkgIndex.tcl for proper import.
  * Update to Standards-Version 3.9.4 .
  * Move to debhelper level 8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Jul 2013 18:06:30 +0200

sqlite (2.8.17-7) unstable; urgency=low

  * Fix upstream mistake of missing format argument in fprintf
    (closes: #646032).
  * Empty dependency_list in libsqlite.la .
  * Update packaging and its dependencies.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 25 Oct 2011 00:55:38 +0200

sqlite (2.8.17-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS by replacing DEB_BUILD_MAKE_TARGET with 
    DEB_MAKE_BUILD_TARGET. Thanks to Daniel Schepler for the patch
    (closes: #618154).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 02 Aug 2011 19:06:03 +0200

sqlite (2.8.17-6) unstable; urgency=low

  * Change readline build dependency to plain libreadline-dev (version 6 ATM).
  * Fix version in pkgIndex.tcl (closes: #483993).
  * Register with doc-base (closes: #452390).
  * Fix section to be database.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 13 Sep 2009 15:14:27 +0000

sqlite (2.8.17-5) unstable; urgency=low

  [ Daniel Schepler ]
  * Fix FTBFS due to libtool version mismatch error (closes: #544437).

  [ Laszlo Boszormenyi ]
  * Update debhelper compatibility to 6 and standards-version to 3.8.3 ;
    add missing ${misc:Depends} to depends lines and fix Tcl spelling.
  * Don't use watch for now, upstream doesn't seem to host this version
    anymore.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 03 Sep 2009 18:30:44 +0000

sqlite (2.8.17-4) unstable; urgency=low

  * Fixed upstream Makefile.in not to lose doc/lemon.html and
    doc/report1.txt on rebuilds (closes: #441725).
  * Corrected debian/watch file.
  * Removed debconf message, was horribly old and outdated. Thanks again to
    everyone who contributed with translations.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu,  4 Oct 2007 11:39:25 +0200

sqlite (2.8.17-3) unstable; urgency=medium

  * Accept Nico's quick security fix related upload (closes: #441233).
  * Add Italian and Catalan debconf translations, thanks to Luca Monducci and
    Jorda Polo respectively (closes: #426155, #412582).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 08 Sep 2007 10:53:33 +0300

sqlite (2.8.17-2.1) unstable; urgency=high

  * Non-maintainer upload by testing security team.
  * Included 01-fix-CVE-2007-1888.patch to fix buffer overflow
    in encode.c (CVE-2007-1888) (Closes: #441233).

 -- Nico Golde <nion@debian.org>  Fri, 07 Sep 2007 17:47:03 +0200

sqlite (2.8.17-2) unstable; urgency=low

  * Add Galician (closes: #407958), Russian (closes: #397167) and Spanish
    (closes: #403493) debconf translations.
  * Correct Portuguese debconf translation filename (closes: #404167).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 30 Jan 2007 18:03:13 +0000

sqlite (2.8.17-1) unstable; urgency=low

  * New upstream release (closes: #357168) and new maintainer with ACK from
    Andreas. Thanks for your previous work Rotty!
  * Added possibility to configure with cdebconf (closes: #332102).


=== debian/control ===
Source: sqlite
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 11), autoconf (>= 2.59), libtool (>= 1.5.2), automake, libreadline-dev, tcl8.6-dev
Standards-Version: 4.1.5

Package: sqlite
Section: database
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sqlite3
Suggests: sqlite-doc
Description: command line interface for SQLite 2
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.
 .
 NOTE: This package is SQLite version 2. Most programs that use
 SQLite use SQLite version 3. See the "sqlite3" package for that.

Package: sqlite-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: sqlite
Description: SQLite 2 documentation
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.
 .
 NOTE: This package is SQLite version 2. Most programs that use
 SQLite use SQLite version 3. See the "sqlite3-doc" package for that.
 .
 This package contains the documentation that is also available on
 the SQLite homepage.

Package: libsqlite0
Section: libs
Architecture: any
Pre-Depends: ${misc:Depends}
Depends: ${shlibs:Depends}
Description: SQLite 2 shared library
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.
 .
 NOTE: This package is SQLite version 2. Most programs that use
 SQLite use SQLite version 3. See the "libsqlite3-0" package for that.

Package: libsqlite0-dev
Provides: libsqlite-dev
Conflicts: libsqlite-dev
Replaces: libsqlite-dev (<< 2.7.0)
Suggests: sqlite-doc
Section: libdevel
Architecture: any
Depends: libsqlite0 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Description: SQLite 2 development files
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.
 .
 NOTE: This package is SQLite version 2. Most programs that use
 SQLite use SQLite version 3. See the "libsqlite3-dev" package for
 that.
 .
 This package contains the development files (headers, static libraries)

Package: libsqlite-tcl
Conflicts: libsqlite0-tcl
Replaces: libsqlite0-tcl
Suggests: sqlite-doc
Section: interpreters
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SQLite 2 Tcl bindings
 SQLite is a C library that implements an SQL database engine. 
 Programs that link with the SQLite library can have SQL database 
 access without running a separate RDBMS process.
 .
 NOTE: This package is SQLite version 2. Most programs that use
 SQLite use SQLite version 3. See the "libsqlite3-tcl" package for
 that.
 .
 This package contains the Tcl bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif
export config_BUILD_CC:=cc
export config_TARGET_CC:=$(CC)
export PATH:=$(PATH):$(CURDIR)/bin
export LDFLAGS:=$(LDFLAGS) -L$(CURDIR)/.libs

CONFIGURE_EXTRA_FLAGS = config_TARGET_TCL_INC="-I/usr/include/tcl8.6" \
	config_BUILD_CFLAGS="$(CFLAGS) -DTHREADSAFE=1" \
	config_TARGET_LIBS="-ltcl8.6 -lpthread" \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--enable-utf8

override_dh_auto_configure:
	mkdir -p $(CURDIR)/bin/
	ln -s $(shell which tclsh8.6) $(CURDIR)/bin/tclsh
		dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_build:
	$(MAKE) all libtclsqlite.la doc

override_dh_auto_install:
	install -d $(CURDIR)/debian/tmp/usr/bin/ \
		$(CURDIR)/debian/tmp/usr/lib/sqlite/
	install -m 0664 $(CURDIR)/debian/pkgIndex.tcl \
		$(CURDIR)/debian/tmp/usr/lib/sqlite
	./libtool --mode=install install libtclsqlite.la \
		$(CURDIR)/debian/tmp/usr/lib/sqlite
	install -d $(CURDIR)/debian/tmp/usr/share/lemon
	install -m 664 $(CURDIR)/tool/lempar.c \
		$(CURDIR)/debian/tmp/usr/share/lemon
	install -m 775 lemon $(CURDIR)/debian/tmp/usr/bin/
	dh_auto_install

override_dh_makeshlibs:
	# empty dependency_libs
	sed -i "/dependency_libs/ s/'.*'/''/" \
		`find $(CURDIR)/debian/ -name '*.la'`
	dh_makeshlibs -V -X"libtclsqlite.so*"

override_dh_auto_test:
	LDFLAGS="$(LDFLAGS) -ltcl8.6 -lpthread" dh_auto_test || true

%:
	dh $@

.PHONY: override_dh_auto_configure override_dh_auto_build \
	override_dh_auto_install override_dh_makeshlibs \
	override_dh_auto_test

## sqlite numpy-0.1.0

=== requirements.txt ===
black==19.3b0
Cython==0.29.13
flake8==3.7.8
isort==4.3.21
mypy==0.761
numpy==1.17.3
pytest==5.2.1
pytest-asyncio==0.10.0
wheel==0.33.6

## sqlite wrapper

=== Makefile ===
CC=gcc -Wall
SQLITE_LIBS=-L/usr/local/lib -lsqlite3

make : test

test : sqlite_wrapper.o test.c
	$(CC) test.c sqlite_wrapper.o -o test $(SQLITE_LIBS)

sqlite_wrapper.o : sqlite_wrapper.c sqlite_wrapper.h
	$(CC) sqlite_wrapper.c -c
